org.apache.hadoop.yarn.api.impl.pb.client

## Class ClientSCMProtocolPBClientImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.impl.pb.client.ClientSCMProtocolPBClientImpl

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.apache.hadoop.yarn.api.ClientSCMProtocol

      public class ClientSCMProtocolPBClientImpl
      extends Object
      implements org.apache.hadoop.yarn.api.ClientSCMProtocol, Closeable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSCMProtocolPBClientImpl(long clientVersion, InetSocketAddress addr, org.apache.hadoop.conf.Configuration conf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `org.apache.hadoop.yarn.api.protocolrecords.ReleaseSharedCacheResourceResponse` | `release(org.apache.hadoop.yarn.api.protocolrecords.ReleaseSharedCacheResourceRequest request)`
    `org.apache.hadoop.yarn.api.protocolrecords.UseSharedCacheResourceResponse` | `use(org.apache.hadoop.yarn.api.protocolrecords.UseSharedCacheResourceRequest request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientSCMProtocolPBClientImpl

          public ClientSCMProtocolPBClientImpl(long clientVersion,
                                               InetSocketAddress addr,
                                               org.apache.hadoop.conf.Configuration conf)
                                        throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`

    - #### use

          public org.apache.hadoop.yarn.api.protocolrecords.UseSharedCacheResourceResponse use(org.apache.hadoop.yarn.api.protocolrecords.UseSharedCacheResourceRequest request)
                                                                                        throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                                               IOException

      Specified by:
        `use` in interface `org.apache.hadoop.yarn.api.ClientSCMProtocol`
      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

    - #### release

          public org.apache.hadoop.yarn.api.protocolrecords.ReleaseSharedCacheResourceResponse release(org.apache.hadoop.yarn.api.protocolrecords.ReleaseSharedCacheResourceRequest request)
                                                                                                throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                                                       IOException

      Specified by:
        `release` in interface `org.apache.hadoop.yarn.api.ClientSCMProtocol`
      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.